## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate rd-util

Name:           rust-rd-util
Version:        2.1.2
Release:        %autorelease
Summary:        Utility collection library for resctl-demo

License:        Apache-2.0
URL:            https://crates.io/crates/rd-util
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump simplelog dependency from 0.10 to 0.11:
#   https://github.com/facebookexperimental/resctl-demo/pull/262
Patch:          rd-util-fix-metadata.diff
# * fix builds with Rust 1.73+ caused by ambiguous <number>::div_ceil calls
Patch:          0001-Disambiguate-num-Integer-div_ceil-from-number-div_ce.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Utility collection library for resctl-demo.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Oct 08 2023 Fabio Valentini <decathorpe@gmail.com> - 2.1.2-8
- Fix builds with Rust 1.73+ caused by ambiguous <number>::div_ceil calls

* Mon Aug 07 2023 Fabio Valentini <decathorpe@gmail.com> - 2.1.2-7
- Regenerate with rust2rpm v24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Feb 20 2022 Igor Raits <igor.raits@gmail.com> - 2.1.2-3
- Update simplelog to 0.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 21 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 2.1.2-1
- Update to 2.1.2; Fixes: RHBZ#2003260

* Thu Aug 26 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 2.1.1-1
- Initial import; Fixes: RHBZ#1990906
